Get Lookup Service Configuration

Get Lookup Service Configuration
Get LookupService

Retrieves the current Lookup Service (vCenter Server SSO) configuration for vSphere local user authentication

Request
URI
GET
https://{server}:9443/api/admin/global/config/lookupservice
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved Lookup Service configuration

Returns LookupserviceGetResponse200 of type(s) application/json
{
    "data": {
        "items": [
            {
                "section": "lookupservice",
                "config": {
                    "lookupServiceUrl": "https://vcenter.example.com/lookupservice/sdk",
                    "providerType": "PSC",
                    "UUID": "c3d4e5f6-a7b8-9012-cdef-123456789012"
                }
            }
        ]
    }
}
object
data
Required

data


404

Section not found

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Section lookupservice not found",
    "httpStatusCode": 404
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


500

Internal server error

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Internal server error occurred",
    "httpStatusCode": 500
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/admin/global/config/lookupservice